Results 1 to 6 of 6

Thread: [4.2.1] Bug requiring Ext.rtl.*

    Looks like we can't reproduce the issue or there's a problem in the test case provided.
  1. #1
    Sencha Premium Member
    Join Date
    May 2013
    Posts
    59

    Default [4.2.1] Bug requiring Ext.rtl.*

    REQUIRED INFORMATION




    Ext version tested:
    • Ext 4.2.1

    Browser versions tested against:
    • Chrome

    Description:
    • When I include (Requires) Right To Left, I'm getting an error, that "src/rtl/EventObjectImpl.js" could not be found.
      Code:
              GET http://localhost:9090/extjs-build/ex...tObjectImpl.js 404 (Not Found) ext-dev.js:10412
    • Used tutorial: http://www.sencha.com/blog/introducing-ext-js-4-2/

    Test Case:


    Code:
        Ext.define(MyApp.views.Viewport, {
        extend: Ext.container.Viewport,
        requires: [
            Ext.rtl.*
        ],
        rtl: true,





    HELPFUL INFORMATION




    Debugging already done:

    • Code:
              Ext.ClassManager.addNameAlternateMappings({
                  ...
                  "Ext.rtl.EventObjectImpl": [],
      But this file doesn't doesn't exists
    *EDIT BY SLEMMON
    Issue observed when testing with ext-dev and ext-debug.
    Last edited by slemmon; 29 May 2013 at 11:13 AM. Reason: Bug format & addl test notes

  2. #2
    Sencha User slemmon's Avatar
    Join Date
    Mar 2009
    Location
    Boise, ID
    Posts
    6,165

    Default

    Thanks for the report! I have opened a bug in our bug tracker.

  3. #3
    Sencha User slemmon's Avatar
    Join Date
    Mar 2009
    Location
    Boise, ID
    Posts
    6,165

    Default

    In the meantime while this is being fixed I believe you can add an additional path to your loader config like:

    Code:
    Ext.Loader.setConfig({
        enabled: true,
        disableCaching: false
        paths: {
            'Ext.rtl.EventObjectImpl': '/path/to/ext/src/rtl/EventObject.js'
        }
    });

  4. #4
    Ext JS Premium Member
    Join Date
    Mar 2008
    Location
    Phoenix, AZ
    Posts
    651

    Default

    Any chance this is getting fixed?

  5. #5
    Sencha User slemmon's Avatar
    Join Date
    Mar 2009
    Location
    Boise, ID
    Posts
    6,165

    Default

    @zombeerose,

    What version of ExtJS and Sencha Cmd are you working with where you're seeing the issue?
    *You can run "sencha which" to get the full version of Cmd.

  6. #6
    Ext JS Premium Member
    Join Date
    Mar 2008
    Location
    Phoenix, AZ
    Posts
    651

    Default

    @slemmonI experienced the issue with Ext 4.2.3. We have chosen not to use Sencha CMD at this time because our app loads most files dynamically, which can't be pre-determined by CMD.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •